package cn.com.poc.knowledge.entity;	


public class BizKnowledgeDatabaseEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *主键
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** member_id
    *用户ID
    */ 
    private java.lang.Integer memberId;

    public java.lang.Integer getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Integer memberId){
        this.memberId = memberId;
    }
	/** title
    *数据库标题名
    */ 
    private java.lang.String title;

    public java.lang.String getTitle(){
        return this.title;
    }
    
    public void setTitle(java.lang.String title){
        this.title = title;
    }
	/** dbDesc
    *描述
    */ 
    private java.lang.String dbDesc;

    public java.lang.String getDbDesc(){
        return this.dbDesc;
    }
    
    public void setDbDesc(java.lang.String dbDesc){
        this.dbDesc = dbDesc;
    }
	/** db_type
    *数据库类型  -MYSQL
    */ 
    private java.lang.String dbType;

    public java.lang.String getDbType(){
        return this.dbType;
    }
    
    public void setDbType(java.lang.String dbType){
        this.dbType = dbType;
    }
	/** db_host
    *数据库HOST
    */ 
    private java.lang.String dbHost;

    public java.lang.String getDbHost(){
        return this.dbHost;
    }
    
    public void setDbHost(java.lang.String dbHost){
        this.dbHost = dbHost;
    }
	/** db_port
    *数据库端口
    */ 
    private java.lang.Integer dbPort;

    public java.lang.Integer getDbPort(){
        return this.dbPort;
    }
    
    public void setDbPort(java.lang.Integer dbPort){
        this.dbPort = dbPort;
    }
	/** db_name
    *数据库名
    */ 
    private java.lang.String dbName;

    public java.lang.String getDbName(){
        return this.dbName;
    }
    
    public void setDbName(java.lang.String dbName){
        this.dbName = dbName;
    }
	/** db_username
    *用户名
    */ 
    private java.lang.String dbUsername;

    public java.lang.String getDbUsername(){
        return this.dbUsername;
    }
    
    public void setDbUsername(java.lang.String dbUsername){
        this.dbUsername = dbUsername;
    }
	/** db_password
    *密码
    */ 
    private java.lang.String dbPassword;

    public java.lang.String getDbPassword(){
        return this.dbPassword;
    }
    
    public void setDbPassword(java.lang.String dbPassword){
        this.dbPassword = dbPassword;
    }
	/** is_deleted
    *是否删除 Y-是 N-否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}